<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-debugger.qdoc -->
  <title>Debugging | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Debugging</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-testing.html" />
  <link rel="next" href="creator-debugger-engines.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-testing.html">Testing</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-debugger-engines.html">Setting Up Debugger</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Debugging</h1>
<span class="subtitle"></span>
<!-- $$$creator-debugging.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qt Creator provides a debugger plugin that acts as an interface between the Qt Creator core and external native debuggers such as the GNU Symbolic Debugger (GDB), the Microsoft Console Debugger (CDB), a QML/JavaScript debugger, and the debugger of the low level virtual machine (LLVM) project, LLDB.</p>
<ul>
<li><a href="creator-debugger-engines.html">Setting Up Debugger</a><p>The debugger plugin automatically selects a suitable native debugger for each <a href="creator-glossary.html#glossary-buildandrun-kit">kit</a> from the ones found on your system. You can edit the kits to override this choice.</p>
</li>
<li><a href="creator-debugger-operating-modes.html">Launching the Debugger</a><p>To start an application from an open project under the control of a debugger, select the <img src="images/qtcreator-debug-button.png" alt="" /> (<b>Start Debugging of Startup Project</b>) button or press <b>F5</b>. Other, less common start options are available in the <b>Debug</b> &gt; <b>Start Debugging</b> menu.</p>
</li>
<li><a href="creator-debug-mode.html">Interacting with the Debugger</a><p>You can use the tool views in the <b>Debug</b> mode to inspect the state of your application while debugging.</p>
</li>
<li><a href="creator-debugging-helpers.html">Using Debugging Helpers</a><p>Qt Creator is able to show complex data types in a customized, user-extensible manner. For this purpose, it takes advantage of two technologies, collectively referred to as <i>debugging helpers</i>.</p>
</li>
<li><a href="creator-debugging-qml.html">Debugging Qt Quick Projects</a><p>When debugging a Qt Quick application, you can inspect the state of the application while debugging JavaScript functions. You can set breakpoints, view call stack trace, and examine locals and expressions. While the application is running, you can inspect QML objects and user interfaces, as well as execute JavaScript expressions.</p>
</li>
<li><a href="creator-debugging-example.html">Debugging a C++ Example Application</a><p>Illustrates how to debug C++ applications in Qt Creator.</p>
</li>
<li><a href="creator-qml-debugging-example.html">Debugging a Qt Quick Example Application</a><p>Illustrates how to debug Qt Quick applications in Qt Creator.</p>
</li>
<li><a href="creator-troubleshooting-debugging.html">Troubleshooting Debugger</a><p>If you encounter problems while debugging, check for possible solutions to them.</p>
</li>
</ul>
</div>
<!-- @@@creator-debugging.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-testing.html">Testing</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-debugger-engines.html">Setting Up Debugger</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
